VERSION 4.00
Begin VB.Form Form1 
   BackColor       =   &H00FFFFFF&
   Caption         =   "Example FGFW2"
   ClientHeight    =   4140
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6690
   Height          =   4545
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4140
   ScaleWidth      =   6690
   Top             =   1170
   Width           =   6810
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

'*****************************************************************************
'                                                                            *
'  FGFW2.FRM                                                                 *
'                                                                            *
'  Demonstrate color selection, underlining, and kerning with fgf_print().   *
'                                                                            *
'*****************************************************************************

Dim hPal As Long
Dim hvb As Long
Dim cxClient As Long, cyClient As Long

Private Sub Form_Activate()
   Call fg_realize(hPal)
   Refresh
End Sub

Private Sub Form_Load()
   ScaleMode = 3
   Call fg_setdc(hDC)
   hPal = fg_defpal()
   Call fg_realize(hPal)

   Call fg_vbinit
   hvb = fg_vballoc(640, 480)
   Call fg_vbopen(hvb)
   Call fg_vbcolors

   If fgf_load("AUSTIN36.FGF") = 0 Then
      Call MsgBox("Unable to load font file.", vbCritical, "Error")
      Unload Me
      Exit Sub
   End If
   
   Call fg_setcolor(255)
   Call fg_fillpage

   ' display two colors in the same string
   Call fg_setcolor(19)
   Call fg_move(20, 40)
   Call fgf_print("color 19 " + Chr$(127) + Chr$(20) + "color 20", 19)

   ' show current color is the last color used
   Call fg_move(20, 80)
   Call fgf_print("still color 20", 14)

   ' display underlined characters
   Call fg_setcolor(22)
   Call fg_move(20, 120)
   Call fgf_kerning(1)
   Call fgf_print("one " + Chr$(127) + "_word" + Chr$(127) + "_ is underlined", 26)
End Sub

Private Sub Form_Paint()
   Call fg_vbscale(0, fg_getmaxx(), 0, fg_getmaxy(), 0, cxClient - 1, 0, cyClient - 1)
End Sub

Private Sub Form_Resize()
   cxClient = ScaleWidth
   cyClient = ScaleHeight
   Refresh
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Call fgf_unload(-1)
   Call fg_vbclose
   Call fg_vbfree(hvb)
   Call fg_vbfin
End Sub


