VERSION 4.00
Begin VB.Form Form1 
   BackColor       =   &H00FFFFFF&
   Caption         =   "Example FGFW3"
   ClientHeight    =   4140
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6690
   Height          =   4545
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4140
   ScaleWidth      =   6690
   Top             =   1170
   Width           =   6810
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

'*****************************************************************************
'                                                                            *
'  FGFW3.FRM                                                                 *
'                                                                            *
'  Demonstrate how to display strings from two different fonts.              *
'                                                                            *
'*****************************************************************************

Dim hPal As Long
Dim hvb As Long
Dim hAustin As Long, hModern As Long
Dim cxClient As Long, cyClient As Long

Private Sub Form_Activate()
   Call fg_realize(hPal)
   Refresh
End Sub

Private Sub Form_Load()
   ScaleMode = 3
   Call fg_setdc(hDC)
   hPal = fg_defpal()
   Call fg_realize(hPal)

   Call fg_vbinit
   hvb = fg_vballoc(640, 480)
   Call fg_vbopen(hvb)
   Call fg_vbcolors

   hAustin = fgf_load("AUSTIN36.FGF")
   hModern = fgf_load("MODERN28.FGF")
   If hAustin = 0 Or hModern = 0 Then
      Call MsgBox("Unable to load font file.", vbCritical, "Error")
      Unload Me
      Exit Sub
   End If
   
   Call fg_setcolor(255)
   Call fg_fillpage

   ' display characters from the Modern font in upper left corner
   Call fg_setcolor(19)
   Call fgf_select(hModern)
   Call fgf_justify(-1, 1)
   Call fgf_print("Modern 28", 9)

   ' display characters from the Austin font in upper right corner
   Call fgf_select(hAustin)
   Call fgf_justify(1, 1)
   Call fg_move(fg_getmaxx(), 0)
   Call fgf_print("Austin 36", 9)
End Sub

Private Sub Form_Paint()
   Call fg_vbscale(0, fg_getmaxx(), 0, fg_getmaxy(), 0, cxClient - 1, 0, cyClient - 1)
End Sub

Private Sub Form_Resize()
   cxClient = ScaleWidth
   cyClient = ScaleHeight
   Refresh
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Call fgf_unload(-1)
   Call fg_vbclose
   Call fg_vbfree(hvb)
   Call fg_vbfin
End Sub


